--
-- CharacterEquip
-- By: Nightness
--
local cfg = nioConfig.Misc

if cfg.CharacterEquip then

local CHECK_INTERVAL = 1.0;

local POPOUT_BUTTONS = {
	CharacterHandsSlotPopoutButton,
	CharacterWaistSlotPopoutButton,
	CharacterLegsSlotPopoutButton,
	CharacterFeetSlotPopoutButton,
	CharacterFinger0SlotPopoutButton,
	CharacterFinger1SlotPopoutButton,
	CharacterTrinket0SlotPopoutButton,
	CharacterTrinket1SlotPopoutButton,
	CharacterHeadSlotPopoutButton,
	CharacterNeckSlotPopoutButton,
	CharacterShoulderSlotPopoutButton,
	CharacterBackSlotPopoutButton,
	CharacterChestSlotPopoutButton,
	CharacterShirtSlotPopoutButton,
	CharacterTabardSlotPopoutButton,
	CharacterWristSlotPopoutButton,
	CharacterMainHandSlotPopoutButton,
	CharacterSecondaryHandSlotPopoutButton,
	CharacterRangedSlotPopoutButton,
};


function CharacterEquip_CheckButtons()
	local index;
	if (not CharacterFrame:IsShown()) then
		return
	end
	for index = 1, #POPOUT_BUTTONS do
		local button = POPOUT_BUTTONS[index];
		if (not button:IsShown()) then
			button:Show();
		end
	end
end

local frame = CreateFrame("Frame");
frame:SetScript("OnUpdate", CharacterEquip_CheckButtons);

end