----------------------------------
-- Skin always
----------------------------------

--Adibags
if IsAddOnLoaded("AdiBags") then
	local AdiBags = LibStub("AceAddon-3.0"):GetAddon("AdiBags")
	AdiBags.BACKDROP = {
		bgFile = [[Interface\Tooltips\UI-Tooltip-Background]],
		edgeFile = nioConfig.Border,
		tile = true, tileSize = 16, edgeSize = 25,
		insets = nioConfig.BorderInsets_4,
	}
end

--Buffin
if IsAddOnLoaded("Buffin") then
	local Buffin = LibStub("AceAddon-3.0"):GetAddon("Buffin")
	local position = {
		"BOTTOMRIGHT", -- [1]
		nil, -- [2]
		"BOTTOMRIGHT", -- [3]
		-120, -- [4]
		142, -- [5]
	}

	Buffin.btn:ClearAllPoints()
	Buffin.btn:SetPoint(unpack(position))
	Buffin:ToggleEvents(false, 'entry')
end

----------------------------------
-- Skin function
----------------------------------
SlashCmdList["SKIN"] = function()
	--Adibags
	if IsAddOnLoaded("AdiBags") then
		AdiBagsDB = {
			["namespaces"] = {
				["FilterOverride"] = {
				},
				["ItemCategory"] = {
				},
				["NewItem"] = {
				},
				["AdiBags_TooltipInfo"] = {
				},
				["DataSource"] = {
				},
				["Junk"] = {
				},
				["CurrencyFrame"] = {
				},
				["ItemSets"] = {
				},
				["TidyBags"] = {
				},
				["Equipment"] = {
				},
			},
			["profileKeys"] = {
			},
			["profiles"] = {
				["Default"] = {
					["virtualStacks"] = {
						["stackable"] = true,
						["incomplete"] = true,
					},
					["scale"] = 0.9,
					["positions"] = {
						["Backpack"] = {
							["xOffset"] = -47.99995573794558,
							["point"] = "TOPRIGHT",
							["yOffset"] = -174.1998430791251,
						},
						["Bank"] = {
							["xOffset"] = 10.00001640755433,
							["yOffset"] = -175.9999590498597,
						},
					},
					["rowWidth"] = {
						["Bank"] = 7,
						["Backpack"] = 7,
					},
					["backgroundColors"] = {
						["Backpack"] = {
							0.1411764705882353, -- [1]
							0.1411764705882353, -- [2]
							0.1411764705882353, -- [3]
						},
						["Bank"] = {
							0.1607843137254902, -- [1]
							0.1725490196078431, -- [2]
							0.1647058823529412, -- [3]
						},
					},
					["positionMode"] = "manual",
				},
			},
		}	
	end
	
	--AtlasLoot
	if IsAddOnLoaded("AtlasLoot") then
		AtlasLootLoaderDB = {
			["MiniMapButton"] = {
				["hide"] = true,
			},
		}		
	end
	
	--BattlegroundTargets
	if IsAddOnLoaded("BattlegroundTargets") then
		BattlegroundTargets_Options = {
			["ButtonShowFocusIndicator"] = {
				[40] = true,
				[10] = true,
				[15] = true,
			},
			["ButtonShowTargetIndicator"] = {
				[40] = true,
				[10] = true,
				[15] = true,
			},
			["ButtonClassIcon"] = {
				[40] = false,
				[10] = false,
				[15] = false,
			},
			["ButtonShowHealthBar"] = {
				[40] = true,
				[10] = true,
				[15] = true,
			},
			["ButtonScale"] = {
				[40] = 1,
				[10] = 1,
				[15] = 1,
			},
			["ButtonShowRealm"] = {
				[40] = true,
				[10] = true,
				[15] = true,
			},
			["pos"] = {
				["BattlegroundTargets_OptionsFrame_posY"] = 916.4999627821676,
				["BattlegroundTargets_MainFrame_posY"] = 851.5000557740322,
				["BattlegroundTargets_MainFrame_posX"] = 1094.000049342622,
				["BattlegroundTargets_MainFrame40_posY"] = 977.4999718494015,
				["BattlegroundTargets_MainFrame40_posX"] = 10.00009910697586,
				["BattlegroundTargets_OptionsFrame_posX"] = 421.7028779892614,
			},
			["ButtonHeight"] = {
				[40] = 16,
				[10] = 20,
				[15] = 20,
			},
			["ButtonEnableBracket"] = {
				[40] = true,
				[10] = true,
				[15] = true,
			},
			["ButtonShowTargetCount"] = {
				[40] = false,
				[10] = true,
				[15] = true,
			},
			["ButtonFontSize"] = {
				[40] = 10,
				[10] = 12,
				[15] = 12,
			},
			["ButtonFlagPosition"] = {
				[40] = 100,
				[10] = 55,
				[15] = 55,
			},
			["ButtonTargetScale"] = {
				[40] = 1.5,
				[10] = 1.5,
				[15] = 1.5,
			},
			["IndependentPositioning"] = {
				[40] = true,
				[10] = true,
				[15] = true,
			},
			["ButtonFocusPosition"] = {
				[40] = 65,
				[10] = 65,
				[15] = 65,
			},
			["ButtonShowSpec"] = {
				[40] = false,
				[10] = false,
				[15] = false,
			},
			["version"] = 3,
			["ButtonTargetPosition"] = {
				[40] = 100,
				[10] = 100,
				[15] = 100,
			},
			["ButtonWidth"] = {
				[40] = 95,
				[10] = 170,
				[15] = 170,
			},
			["ButtonFocusScale"] = {
				[40] = 1,
				[10] = 1,
				[15] = 1,
			},
			["ButtonShowFlag"] = {
				[40] = false,
				[10] = true,
				[15] = true,
			},
			["ButtonShowHealthText"] = {
				[40] = false,
				[10] = false,
				[15] = false,
			},
			["ButtonFlagScale"] = {
				[40] = 1,
				[10] = 1.2,
				[15] = 1.2,
			},
			["MinimapButtonPos"] = -90,
			["ButtonSortBySize"] = {
				[40] = 1,
				[10] = 1,
				[15] = 1,
			},
			["MinimapButton"] = false,
			["FirstRun"] = true,
		}		
	end
	
	--GTFO
	if IsAddOnLoaded("GTFO") then
		GTFOData = {
			["Sounds"] = {
				1, -- [1]
				1, -- [2]
				1, -- [3]
				1, -- [4]
			},
			["DataCode"] = "4",
			["Active"] = 1,
			["Volume"] = 3,
		}		
	end
	
	--Healers Have To Die
	if IsAddOnLoaded("Healers Have To Die") then
		Healers_Have_To_Die = {
			["namespaces"] = {
				["Announcer"] = {
				},
				["NPH"] = {
				},
			},
			["global"] = {
				["HFT"] = 65,
				["Pve"] = false,
				["HealerUnderAttackAlerts"] = false,
			},
			["profileKeys"] = {
			},
			["profiles"] = {
			},
		}		
	end
	
	--MiniLoot
	if IsAddOnLoaded("MiniLoot") then
		MiniLootDB = {
			["fontSize"] = 0,
			["hideEvents"] = {
			},
			["showRollDecisions"] = 0,
			["mouseoverLinksIcons"] = 0,
			["hideJunk"] = 1,
			["sleepBetweenEvents"] = 2,
			["mouseoverLinks"] = 0,
			["hidePartyLoot"] = 0,
			["lootCount"] = 0,
			["showRollSummary"] = 1,
			["hideSoloLootThreshold"] = 0,
			["outputChat"] = "ChatFrame1",
			["sleepAfterCombat"] = 4,
			["hidePartyLootThreshold"] = 3,
			["mouseoverLinksAnchor"] = 0,
			["showRollIcons"] = 0,
			["hideSoloLoot"] = 0,
		}		
	end
	
	--Skada
	if IsAddOnLoaded("Skada") then
		SkadaDB = {
			["profileKeys"] = {
			},
			["profiles"] = {
				["Default"] = {
					["windows"] = {
						{
							["barheight"] = 13,
							["shown"] = false,
							["barslocked"] = true,
							["background"] = {
								["color"] = {
									["a"] = 0.3199999928474426,
									["r"] = 0.08627450980392157,
									["g"] = 0.09411764705882353,
									["b"] = 0.09411764705882353,
								},
								["height"] = 141.0094929722259,
								["bordertexture"] = "LFG Border",
								["texture"] = "None",
							},
							["y"] = 26.03714852782913,
							["x"] = -170.1328119228645,
							["title"] = {
								["font"] = "Friz Quadrata TT",
								["borderthickness"] = 4,
								["color"] = {
									["a"] = 0.800000011920929,
									["r"] = 0.1803921568627451,
									["g"] = 0.1843137254901961,
									["b"] = 0.1882352941176471,
								},
								["texture"] = "Minimalist",
							},
							["mode"] = "Schaden",
							["barfont"] = "Friz Quadrata TT",
							["bartexture"] = "Minimalist",
							["barwidth"] = 244.6149055064187,
							["barcolor"] = {
								["r"] = 0.4745098039215686,
								["g"] = 0.4862745098039216,
								["b"] = 0.4705882352941176,
							},
							["point"] = "BOTTOMRIGHT",
							["buttons"] = {
								["report"] = false,
								["menu"] = false,
								["mode"] = false,
								["segment"] = false,
								["reset"] = false,
							},
						}, -- [1]
					},
				},
			},
		}

		if Resolution == "1920x1080" then
			SkadaDB.profiles.Default.windows.y = 27.81481036457853
			SkadaDB.profiles.Default.windows.x = -166.5767318846135
			SkadaDB.profiles.Default.windows.background.height = 138.342732908644
			SkadaDB.profiles.Default.windows.barwidth = 257.9482638223776
		end		
	end
	
	--TomTom
	if IsAddOnLoaded("TomTom") then
		TomTomDB = {
			["profileKeys"] = {
			},
			["profiles"] = {
				["Default"] = {
					["mapcoords"] = {
						["cursorenable"] = false,
						["playerenable"] = false,
					},
					["block"] = {
						["enable"] = false,
					},
				},
			},
		}		
	end
end

----------------------------------
-- Only skin once
----------------------------------
-- local nioSkin = CreateFrame"Frame"
-- nioSkin:SetScript("OnEvent", function(self, event, ...)
	-- if nioUIInstall then return end
	
	-- nioUISkin()
	-- nioSkin:UnregisterEvent("ADDON_LOADED")
	-- nioSkin = nil
-- end)
-- nioSkin:RegisterEvent("ADDON_LOADED")